<?php


namespace app\admin\controller;

use app\admin\model\CgdInfo;use app\admin\model\InvoicePool;use app\admin\model\Pay;use app\admin\model\TradePool;use think\App;
use think\facade\Db;use think\facade\Validate;
class Sale extends Base{
	#public $novalidate=["*"];
    public function __construct(App $app) {parent::__construct($app);}
    /** 获取列表
    * @return \think\response\Json|void
    * @throws \think\db\exception\DataNotFoundException
    * @throws \think\db\exception\DbException
    * @throws \think\db\exception\ModelNotFoundException
     */
    public function list(){

        $post =$this->request->param();
        $condition = [['a.is_del',"=",0]];
         $roleid = $this->roleid;
        $check = checkRole($roleid,'86');
        if($check){
        	$condition[]=["a.ownerid","=",$this->uid];
        }
        $page = isset($post['page'])&&$post['page']!==''?intval($post['page']):1;
        $size = isset($post['size'])&&$post['size']!==''?intval($post['size']):15;
        $start =isset($post['start'])&&$post['start']!==''?trim($post['start']):'';
        if($start!=''){
           $condition[]=["a.createdTime",">=",$start." 00:00:00"];
        }
        $end =isset($post['end'])&&$post['end']!==''?trim($post['end']):'';
        if($end!=''){
           $condition[]=["a.createdTime","<=",$end." 23:59:59"];
        }
        $total_min = isset($post['total_min'])&&$post['total_min']!==''?floatval($post['total_min']):'';
        if($total_min!==''){
           $condition[]=["a.totalPrice",">=",$total_min];
        }
        $total_max = isset($post['total_max'])&&$post['total_max']!==''?floatval($post['total_max']):'';
        if($total_max!==''){
           $condition[]=["a.totalPrice","<=",$total_max];
        }
        if(isset($post['is_comon'])&&$post['is_comon']!=='') $condition []=['is_comon','=',$post['is_comon']];
        $cxCode = isset($post['cxCode'])&&$post['cxCode']!==''?trim($post['cxCode']):'';
        if($cxCode!==''){
           $condition[]=["a.cxCode","=",$cxCode];
        }
        $inv_status =  isset($post['inv_status'])&&$post['inv_status']!==''?intval($post['inv_status']):'';
        if($inv_status!==''){
        	if($inv_status==0){
        		$condition[]=["a.inv_status","<>",3];
        	}else{
        		$condition[]=["a.inv_status","=",$inv_status];
        	}
        }
        $invIs =  isset($post['inv_is'])&&$post['inv_is']!==''?intval($post['inv_is']):'';
        if($invIs!==''){
        	if($invIs==1){
        		$condition[]=["a.winv_fee","<>",0];
        	}else{
        		$condition[]=["a.winv_fee","=",0];
        	}
        }
        $payIs =  isset($post['pay_is'])&&$post['pay_is']!==''?intval($post['pay_is']):'';
        if($payIs!==''){
        	if($invIs==1){
        		$condition[]=["a.wpay_fee","<>",0];
        	}else{
        		$condition[]=["a.wpay_fee","=",0];
        	}
        }

        $pay_status =  isset($post['pay_status'])&&$post['pay_status']!==''?intval($post['pay_status']):'';
        if($pay_status!==''){
        	if($pay_status==0){
        		$condition[]=["a.pay_status","<>",3];
        	}else{
        		$condition[]=["a.pay_status","=",$pay_status];
        	}

        }
        $status =  isset($post['status'])&&$post['status']!==''?intval($post['status']):'';
        if($status!==''){
            if($status==3){
                $condition[]=["a.status","<>",2];
            }else{
                 $condition[]=["a.status","=",$status];
            }

        }
         $qrdNo =  isset($post['sequenceNo'])&&$post['sequenceNo']!=''?trim($post['sequenceNo']):'';
        if($qrdNo!==''){
            $condition[]=["a.sequenceNo","like","%$qrdNo%"];
        }
          $department =  isset($post['department'])&&$post['department']!=''?trim($post['department']):'';
        if($department!==''){
            $condition[]=["a.department","like","%$department%"];
        }
        $customerNo =  isset($post['customerNo'])&&$post['customerNo']!=''?trim($post['customerNo']):'';
        if($customerNo!==''){
            $condition[]=["a.customerNo","like","%$customerNo%"];
        }
        $customer =  isset($post['customer'])&&$post['customer']!=''?trim($post['customer']):'';
        if($customer!=''){
            $condition[]=["a.customerName","like","%$customer%"];
        }
         $companyNo =  isset($post['companyNo'])&&$post['companyNo']!=''?trim($post['companyNo']):'';
        if($companyNo!==''){
            $condition[]=["a.companyNo","=",$companyNo];
        }
        $companyName =  isset($post['companyName'])&&$post['companyName']!=''?trim($post['companyName']):'';
        if($companyName !=''){
            $condition[]=["a.companyName","like","%$companyName%"];
        }
       $platName =  isset($post['platName'])&&$post['platName']!=''?trim($post['platName']):'';
        if($platName!=''){
            $condition[]=["a.platName","like","%$platName%"];
        }
       $platform_type =  isset($post['platform_type'])&&$post['platform_type']!==''?intval($post['platform_type']):'';
        if($platform_type!==''){
            $condition[]=["a.platform_type","=",$platform_type];
        }

          $saler= isset($post['saler']) && $post['saler']!='' ? trim($post['saler']) :"";
        if($saler!='') $condition []=["a.ownerName","like","%$saler%"];
        $salerid= isset($post['salerid']) && $post['salerid']!='' ? intval($post['salerid']) :"";
        if($salerid!='') $condition []=["a.ownerid","=",$salerid];

         $qrdtype= isset($post['qrdtype']) && $post['qrdtype']!='' ? intval($post['qrdtype']) :"";
        if($qrdtype!='') $condition []=["a.qrdType","=",$qrdtype];
         $qrdsource= isset($post['qrdsource']) && $post['qrdsource']!='' ? intval($post['qrdsource']) :"";
        if($qrdsource!='') $condition []=["a.qrdSource","=",$qrdsource];
         $sendstatus= isset($post['sendstatus']) && $post['sendstatus']!='' ? intval($post['sendstatus']) :"";
        if($sendstatus!='') $condition []=["a.sendStatus","=",$sendstatus];
          $tag_id= isset($post['tag_id'])&&$post['tag_id']!=="" ? intval($post['tag_id']) :"";
        if($tag_id!==''){
			if($tag_id==1)  $condition[]=["a.inv_tag","=",1];
			if($tag_id==2)  $condition[]=["a.pay_tag","=",1];
			if($tag_id==3)  $condition[]=["a.pay_tag|inv_tag","=",1];
			if($tag_id==4)  $condition[]=["a.pay_tag&inv_tag","=",1];
        }
         $cat_status= isset($post['cat_status'])&&$post['cat_status']!=="" ? intval($post['cat_status']) :"";
         if($cat_status!=='') $condition[]=["b.status","=",$cat_status];
        $count =Db::name("qrd_info")->alias("a")->leftJoin("good b","a.goodNo=b.spuCode")->where($condition)->count();
        $total = ceil($count/$size);
        $page = $page>$total ? intval($total) : $page;
        $list =Db::name("qrd_info")->alias("a")
        ->leftJoin("good b","a.goodNo=b.spuCode")
        ->field("a.*,b.status as cat_status,b.inv_cat_name,b.inv_cat_code,b.inv_tax,b.inv_good_name,b.isZx")
        ->order("a.createdTime desc")
        ->where($condition)->page($page,$size)->select();
        $data=[];
        foreach ( $list as $ky=>$value){
            $value['catInfo'] = json_decode($value['catInfo'],true);
            $tag =Db::name("tag_log")->alias("a")->leftJoin("order_tag b","a.tag_id=b.id")->where
            (["code"=>$value['sequenceNo'],"a.status"=>1])->column("a.id,b.tag_name,a.tag_img,a.tag_remark","b.type");
            $value['goodNum'] = $value['goodNum'] -$value['thNum'];
            $value['sendNum'] = $value['sendNum'] -$value['thNum'];
            $value['inv_tag_name']=$tag[4]['tag_name']??'';
            $value['inv_tag_id']=$tag[4]['id']??'0';
            $value['pay_tag_id']=$tag[3]['id']??'0';
            $value['pay_tag_name']=$tag[3]['tag_name']??'';
            $value['pay_tag_img']=$tag[3]['tag_img']??'';
            $value['inv_tag_img']=$tag[4]['tag_img']??'';
            $value['inv_tag_remark']=$tag[4]['tag_remark']??'';
            $value['pay_tag_remark']=$tag[3]['tag_remark']??'';
            $invArr = Db::name("assoc")
                ->alias("a")
                ->leftJoin("invoice_good b", "a.viceCode=b.invNo AND b.orderCode =a.orderCode")
                ->where(["a.status" => [1, 2], "a.is_del" => 0, "a.type" => 1, "a.orderCode" => $value['sequenceNo']])->group("a.status")
                ->column("sum(b.goodNum) as goodNum", "a.status");
            $value['inv_num'] = $invArr[1]??0;
            $value['ainv_num'] = $invArr[2]??0;
            $value['winv_num'] =$value['goodNum']- $value['inv_num']-$value['ainv_num'];
            $data[]=$value;
        }
        return app_show(0,"获取成功",["list"=>$data,"count"=>$count]);
    }


   public function query(){

        $post =$this->request->param();
        $condition = [['a.is_del',"=",0]];
        $start =isset($post['start'])&&$post['start']!==''?trim($post['start']):'';
        if($start!=''){
           $condition[]=["a.createdTime",">=",$start." 00:00:00"];
        }
        $end =isset($post['end'])&&$post['end']!==''?trim($post['end']):'';
        if($end!=''){
           $condition[]=["a.createdTime","<=",$end." 23:59:59"];
        }
        $total_min = isset($post['total_min'])&&$post['total_min']!==''?floatval($post['total_min']):'';
        if($total_min!==''){
           $condition[]=["a.totalPrice",">=",$total_min];
        }
       if(isset($post['is_comon'])&&$post['is_comon']!=='') $condition []=['is_comon','=',$post['is_comon']];
        $total_max = isset($post['total_max'])&&$post['total_max']!==''?floatval($post['total_max']):'';
        if($total_max!==''){
           $condition[]=["a.totalPrice","<=",$total_max];
        }
        $cxCode = isset($post['cxCode'])&&$post['cxCode']!==''?trim($post['cxCode']):'';
        if($cxCode!==''){
           $condition[]=["a.cxCode","=",$cxCode];
        }
        $inv_status =  isset($post['inv_status'])&&$post['inv_status']!==''?intval($post['inv_status']):'';
        if($inv_status!==''){
        	if($inv_status==0){
        		$condition[]=["a.inv_status","<>",3];
        	}else{
        		$condition[]=["a.inv_status","=",$inv_status];
        	}
        }
        $invIs =  isset($post['inv_is'])&&$post['inv_is']!==''?intval($post['inv_is']):'';
        if($invIs!==''){
        	if($invIs==1){
        		$condition[]=["a.winv_fee","<>",0];
        	}else{
        		$condition[]=["a.winv_fee","=",0];
        	}
        }
        $payIs =  isset($post['pay_is'])&&$post['pay_is']!==''?intval($post['pay_is']):'';
        if($payIs!==''){
        	if($invIs==1){
        		$condition[]=["a.wpay_fee","<>",0];
        	}else{
        		$condition[]=["a.wpay_fee","=",0];
        	}
        }

        $pay_status =  isset($post['pay_status'])&&$post['pay_status']!==''?intval($post['pay_status']):'';
        if($pay_status!==''){
        	if($pay_status==0){
        		$condition[]=["a.pay_status","<>",3];
        	}else{
        		$condition[]=["a.pay_status","=",$pay_status];
        	}

        }
        $status =  isset($post['status'])&&$post['status']!==''?intval($post['status']):'';
        if($status!==''){
            if($status==3){
                $condition[]=["a.status","<>",2];
            }else{
                 $condition[]=["a.status","=",$status];
            }

        }
         $qrdNo =  isset($post['sequenceNo'])&&$post['sequenceNo']!=''?trim($post['sequenceNo']):'';
        if($qrdNo!==''){
            $condition[]=["a.sequenceNo","in",explode(",",$qrdNo)];
        }
          $department =  isset($post['department'])&&$post['department']!=''?trim($post['department']):'';
        if($department!==''){
            $condition[]=["a.department","like","%$department%"];
        }
        $customerNo =  isset($post['customerNo'])&&$post['customerNo']!=''?trim($post['customerNo']):'';
        if($customerNo!==''){
            $condition[]=["a.customerNo","like","%$customerNo%"];
        }
        $customer =  isset($post['customer'])&&$post['customer']!=''?trim($post['customer']):'';
        if($customer!=''){
            $condition[]=["a.customerName","like","%$customer%"];
        }
         $companyNo =  isset($post['companyNo'])&&$post['companyNo']!=''?trim($post['companyNo']):'';
        if($companyNo!==''){
            $condition[]=["a.companyNo","=",$companyNo];
        }
        $companyName =  isset($post['companyName'])&&$post['companyName']!=''?trim($post['companyName']):'';
        if($companyName !=''){
            $condition[]=["a.companyName","like","%$companyName%"];
        }
       $platName =  isset($post['platName'])&&$post['platName']!=''?trim($post['platName']):'';
        if($platName!=''){
            $condition[]=["a.platName","like","%$platName%"];
        }
       $platform_type =  isset($post['platform_type'])&&$post['platform_type']!==''?intval($post['platform_type']):'';
        if($platform_type!==''){
            $condition[]=["a.platform_type","=",$platform_type];
        }

          $saler= isset($post['saler']) && $post['saler']!='' ? trim($post['saler']) :"";
        if($saler!='') $condition []=["a.ownerName","like","%$saler%"];
        $salerid= isset($post['salerid']) && $post['salerid']!='' ? intval($post['salerid']) :"";
        if($salerid!='') $condition []=["a.ownerid","=",$salerid];

         $qrdtype= isset($post['qrdtype']) && $post['qrdtype']!='' ? intval($post['qrdtype']) :"";
        if($qrdtype!='') $condition []=["a.qrdType","=",$qrdtype];
         $qrdsource= isset($post['qrdsource']) && $post['qrdsource']!='' ? intval($post['qrdsource']) :"";
        if($qrdsource!='') $condition []=["a.qrdSource","=",$qrdsource];
         $sendstatus= isset($post['sendstatus']) && $post['sendstatus']!='' ? intval($post['sendstatus']) :"";
        if($sendstatus!='') $condition []=["a.sendStatus","=",$sendstatus];
          $tag_id= isset($post['tag_id'])&&$post['tag_id']!=="" ? intval($post['tag_id']) :"";
        if($tag_id!==''){
			if($tag_id==1)  $condition[]=["a.inv_tag","=",1];
			if($tag_id==2)  $condition[]=["a.pay_tag","=",1];
			if($tag_id==3)  $condition[]=["a.pay_tag|inv_tag","=",1];
			if($tag_id==4)  $condition[]=["a.pay_tag&inv_tag","=",1];
        }
         $cat_status= isset($post['cat_status'])&&$post['cat_status']!=="" ? intval($post['cat_status']) :"";
         if($cat_status!=='') $condition[]=["b.status","=",$cat_status];
        $list =Db::name("qrd_info")->alias("a")
        ->leftJoin("good b","a.goodNo=b.spuCode")
        ->field("a.*,b.status as cat_status,b.inv_cat_name,b.inv_cat_code,b.inv_tax,b.inv_good_name,b.isZx")
        ->order("a.createdTime desc")
        ->where($condition)->select();
        $data=[];
        foreach ( $list as $ky=>$value){
            $value['catInfo'] = json_decode($value['catInfo'],true);
            $tag =Db::name("tag_log")->alias("a")->leftJoin("order_tag b","a.tag_id=b.id")->where
            (["code"=>$value['sequenceNo'],"a.status"=>1])->column("b.tag_name,a.tag_img,a.tag_remark","b.type");
            $value['goodNum'] = $value['goodNum'] -$value['thNum'];
            $value['sendNum'] = $value['sendNum'] -$value['thNum'];
            $value['inv_tag_name']=$tag[4]['tag_name']??'';
            $value['pay_tag_name']=$tag[3]['tag_name']??'';
            $value['pay_tag_img']=$tag[3]['tag_img']??'';
            $value['inv_tag_img']=$tag[4]['tag_img']??'';
            $value['inv_tag_remark']=$tag[4]['tag_remark']??'';
            $value['pay_tag_remark']=$tag[3]['tag_remark']??'';
            $invArr = Db::name("assoc")
                ->alias("a")
                ->leftJoin("invoice_good b", "a.viceCode=b.invNo AND b.orderCode =a.orderCode")
                ->where(["a.status" => [1, 2], "a.is_del" => 0, "a.type" => 1, "a.orderCode" => $value['sequenceNo']])->group("a.status")
                ->column("sum(b.goodNum) as goodNum", "a.status");
            $value['inv_num'] = $invArr[1]??0;
            $value['ainv_num'] = $invArr[2]??0;
            $value['winv_num'] =$value['goodNum']- $value['inv_num']-$value['ainv_num'];
            $data[]=$value;
        }
        return app_show(0,"获取成功",$data);
    }
   /**
* 更改销售单状态 是否需要回款 0 未回款对账 1 回款对账 2 无需汇款操作
 */
    public function status(){
     $post =$this->request->only(["sequenceNo"=>'',"status"=>0],"post","trim");
     if($post['sequenceNo']==''){
         return error_show(1004,"参数 sequenceNo 不能为空");
     }
      if($post['status']===''){
         return error_show(1004,"参数 status 不能为空");
     }
      $qrdinfo =Db::name("qrd_info")->where("sequenceNo","=",$post['sequenceNo'])->findOrEmpty();
        if(empty($qrdinfo)){
          return error_show(1004,"未找到确认单信息");
        }
        if ($qrdinfo['status']==1){
             return error_show(1004,"确认单已参与对账");
        }
       $update=[
           "status"=>$post['status'],
           "updatetime"=>date("Y-m-d H:i:s")
        ];
        $up =Db::name("qrd_info")->where($qrdinfo)->update($update);
        if($up){
            return app_show(0,"更新成功");
        }else{
            return error_show(1003,"更新失败");
        }
    }
    //确认单信息详情
    public function saleinfo(){
        $post=$this->post;
        $sequenceNo =isset($post['sequenceNo'])&&$post['sequenceNo']?trim($post['sequenceNo']):"";
        if($sequenceNo==''){
            return error_show(1003,"参数 sequenceNo 不能为空");
        }
        $qrdinfo =Db::name("qrd_info")->where("sequenceNo","=",$post['sequenceNo'])->findOrEmpty();
        if(empty($qrdinfo)){
          return error_show(1004,"未找到确认单信息");
        }
        $goodinfo = Db::name("good")->where(["spuCode"=>$qrdinfo["goodNo"]])->findOrEmpty();
        $qrdinfo['goodinfo'] =$goodinfo;
        $qrdinfo['catInfo'] = json_decode($qrdinfo['catInfo'],true);
        $tag =Db::name("tag_log")->alias("a")->leftJoin("order_tag b","a.tag_id=b.id")
        ->where(["code"=>$qrdinfo['sequenceNo'],"a.status"=>1])->column("a.id,b.tag_name,a.tag_img,a.tag_remark","b.type");
        $qrdinfo['inv_tag_name']=$tag[4]['tag_name']??'';
        $qrdinfo['pay_tag_name']=$tag[3]['tag_name']??'';
        $qrdinfo['pay_tag_img']=$tag[3]['tag_img']??'';
         $qrdinfo['inv_tag_id']=$tag[4]['id']??'0';
          $qrdinfo['pay_tag_id']=$tag[3]['id']??'0';
        $qrdinfo['pay_tag_remark']=$tag[3]['tag_remark']??'';
        $qrdinfo['inv_tag_img']=$tag[4]['tag_img']??'';
        $qrdinfo['inv_tag_remark']=$tag[4]['tag_remark']??'';
        $qrdinfo['goodNum'] = $qrdinfo['goodNum'] -$qrdinfo['thNum'];
        $qrdinfo['sendNum'] = $qrdinfo['sendNum'] -$qrdinfo['thNum'];
        $qrdinfo['customerAttr'] = Db::name("customer_info")->where(["companyNo"=>$qrdinfo['customerNo']])->value("parent",'');
        return app_show(0,"获取成功",$qrdinfo);
    }
    /**验证采销订单管联数据是否对账
	* @return \think\response\Json|void
    */
    public function OrderIsCheck(){
    	  $post =$this->request->only(["orderCode"=>'',"isCgd"=>0,"is_cgd_check"=>0],"post","trim");
    	  $vali=Validate::rule([
	            "orderCode|销售单单号"=>"require|max:255",
	            "isCgd|是否退采购单"=>"require|in:0,1",
	            "is_cgd_check|只退采购单"=>"in:0,1"
    	  	]);
    	  if($vali->check($post)==false) return error_show(1004,$vali->getError());
    	  $data=[];
    	  if($post['is_cgd_check']==0){
    	  	  $qrdinf =Db::name('qrd_info')->where(['sequenceNo|cxCode'=>$post['orderCode'],'is_del'=>0])
    	  	  ->field('sequenceNo,ownerName,companyName,inv_tag,pay_tag')->select()->toArray();
	          if(!empty($qrdinf)){
	          	foreach ($qrdinf as $item){
	          	    if($item['inv_tag']==1){
	          	    	$temp=["type"=>"结算销售单开票标签","username"=> $item['ownerName'],"orderCode"=>$item['sequenceNo'],
	          	    	"companyName"=>$item['companyName']];
	          	    	$data[]=$temp;
	          	    }
	          	    
	          	    if($item['pay_tag']==1){
	          	    	$temp=['type'=>'结算销售单付款标签','username'=> $item['ownerName'],'orderCode'=>$item['sequenceNo'],'companyName'=>$item['companyName']];
	          	    	$data[]=$temp;
	          	    }
	          	     $asscoinfo =Db::name('assoc')->where(['orderCode'=>$item['sequenceNo'],'status'=>[1,2],'is_del'=>0])->column
	                    ('viceCode','type');
	          	     if(isset($asscoinfo[1])){
	          	     	$uname = InvoicePool::where("invNo",$asscoinfo[1])->value("apply_name",'');
	          	    	$temp=['type'=>'结算销售单开票申请','username'=> $uname,'orderCode'=>$asscoinfo[1],'companyName'=>$item['companyName']];
	          	    	$data[]=$temp;
	          	    }
	          	     if(isset($asscoinfo[2])){
	          	     	$uname = TradePool::where('logNo',$asscoinfo[2])->value('apply_name','');
	          	     	$temp=['type'=>'结算销售单资金认领','username'=> $uname,'orderCode'=>$asscoinfo[2],'companyName'=>$item['companyName']];
	          	     	 $data[]=$temp;
	          	      }
	          	}
//	           if(empty($data)==false) $this->error("结算存在进行中业务",1005,$data);
	          }
	          $cgdinfo =Db::name('cgd_info')->where(['cxCode'=>$post['orderCode'],'status'=>1,'is_del'=>0])->field('sequenceNo,companyName')->findOrEmpty();
	           if(!empty($cgdinfo)){
		           $payNo = Db::name('pay_info')->where(['cgdNo'=>$cgdinfo['sequenceNo'],'status'=>1,'is_del'=>0])->value('payNo','');
		           if($payNo!=''){
		           	    $uname = Pay::where("payNo",$payNo)->value("apply_name",'');
		           	    $data[]=['type'=>'采购对账单','username'=> $uname,'orderCode'=>$payNo,'companyName'=>$cgdinfo['companyName']];
		           	    
		           	    $hp = Db::name('pay_invoice')->where(['payNo'=>$payNo,'is_del'=>0,'status'=>[1,2,3,4]])
		           	    ->column('hpNo,apply_name');
			            if(!empty($hp)){
			            	foreach ($hp as $item){
			            		$data[]=['type'=>'采购对账单回票','username'=> $item['apply_name'],'orderCode'=>$item['hpNo'],'companyName'=>$cgdinfo['companyName']];
			            	}
			            }
			            $paydz = Db::name('pay_payment')->where(['payNo'=>$payNo,'is_del'=>0,'status'=>[1,2,3,4]])
			            ->column('dzNo,apply_name');
			             if(!empty($paydz)){
			            	foreach ($paydz as $item){
			            		$data[]=['type'=>'采购对账单付款','username'=> $item['apply_name'],'orderCode'=>$item['dzNo'],'companyName'=>$cgdinfo['companyName']];
			            	}
			            }
			            
		           }
	           }
	           if($post['isCgd']==1){
			           $cgdinfo =Db::name('cgd_info')->where(['qrdCode'=>$post['orderCode'],'is_del'=>0])->field('sequenceNo,companyName')->findOrEmpty();
			           if(!empty($cgdinfo)){
				           $payNo = Db::name('pay_info')->where(['cgdNo'=>$cgdinfo['sequenceNo'],'status'=>1,'is_del'=>0])->value('payNo','');
				           if($payNo!=''){
				           	    $uname = Pay::where('payNo',$payNo)->value('apply_name','');
				                $data[]=['type'=>'采购对账单','username'=> $uname,'orderCode'=>$payNo,'companyName'=>$cgdinfo['companyName']];
				                 $hp = Db::name('pay_invoice')->where(['payNo'=>$payNo,'is_del'=>0,'status'=>[1,2,3,4]])
					                ->column('hpNo,apply_name');
						            if(!empty($hp)){
						                foreach ($hp as $item){
						                    $data[]=['type'=>'采购对账单回票','username'=> $item['apply_name'],'orderCode'=>$item['hpNo'],'companyName'=>$cgdinfo['companyName']];
						                }
						            }
						            $paydz = Db::name('pay_payment')->where(['payNo'=>$payNo,'is_del'=>0,'status'=>[1,2,3,4]])
						            ->column('dzNo,apply_name');
						             if(!empty($paydz)){
						                foreach ($paydz as $item){
						                    $data[]=['type'=>'采购对账单付款','username'=> $item['apply_name'],'orderCode'=>$item['dzNo'],'companyName'=>$cgdinfo['companyName']];
						                }
						            }
				            }
							$comoOrder = CgdInfo::where(['mainCode'=>$cgdinfo['sequenceNo'],'is_comon'=>2,'status'=>1])->field('sequenceNo,companyName')->findOrEmpty();
				             if(!empty($comoOrder)){
				             							$payNo = Db::name('pay_info')->where(['cgdNo'=>$comoOrder['sequenceNo'],'status'=>1,'is_del'=>0])->value('payNo','');
				             				           if($payNo!=''){
				             				           	 $uname = Pay::where('payNo',$payNo)->value('apply_name','');
				             				                $data[]=['type'=>'源头采购对账单','username'=> $uname,'orderCode'=>$payNo,'companyName'=>$comoOrder['companyName']];
				             				                
				             				                 $hp = Db::name('pay_invoice')->where(['payNo'=>$payNo,'is_del'=>0,'status'=>[1,2,3,4]])
											                ->column('hpNo,apply_name');
												            if(!empty($hp)){
												                foreach ($hp as $item){
												                    $data[]=['type'=>'源头采购对账单回票','username'=> $item['apply_name'],'orderCode'=>$item['hpNo'],'companyName'=>$cgdinfo['companyName']];
												                }
												            }
												            $paydz = Db::name('pay_payment')->where(['payNo'=>$payNo,'is_del'=>0,'status'=>[1,2,3,4]])
												            ->column('dzNo,apply_name');
												             if(!empty($paydz)){
												                foreach ($paydz as $item){
												                    $data[]=['type'=>'源头采购对账单付款','username'=> $item['apply_name'],'orderCode'=>$item['dzNo'],'companyName'=>$cgdinfo['companyName']];
												                }
												            }
				             				            }
				              }
			           }
		           }
	           
    	  }else{
                $cgdinfo =Db::name('cgd_info')->where(['sequenceNo'=>$post['orderCode'],'status'=>1,'is_del'=>0])->field('sequenceNo,companyName')->findOrEmpty();
		           if(!empty($cgdinfo)){
		                $payNo = Db::name('pay_info')->where(['cgdNo'=>$cgdinfo['sequenceNo'],'status'=>1,'is_del'=>0])->value('payNo','');
			           if($payNo!=''){
			           	 $uname = Pay::where('payNo',$payNo)->value('apply_name','');
			                $data[]=['type'=>'采购对账单','username'=> $uname,'orderCode'=>$payNo,'companyName'=>$cgdinfo['companyName']];
			                
				                 $hp = Db::name('pay_invoice')->where(['payNo'=>$payNo,'is_del'=>0,'status'=>[1,2,3,4]])
					                ->column('hpNo,apply_name');
						            if(!empty($hp)){
						                foreach ($hp as $item){
						                    $data[]=['type'=>'采购对账单回票','username'=> $item['apply_name'],'orderCode'=>$item['hpNo'],'companyName'=>$cgdinfo['companyName']];
						                }
						            }
						            $paydz = Db::name('pay_payment')->where(['payNo'=>$payNo,'is_del'=>0,'status'=>[1,2,3,4]])
						            ->column('dzNo,apply_name');
						             if(!empty($paydz)){
						                foreach ($paydz as $item){
						                    $data[]=['type'=>'采购对账单付款','username'=> $item['apply_name'],'orderCode'=>$item['dzNo'],'companyName'=>$cgdinfo['companyName']];
						                }
						            }
			            }
			           }
			             $comoOrder = CgdInfo::where(['mainCode'=>$post['orderCode'],'is_comon'=>2,'status'=>1])->field('sequenceNo,companyName')->findOrEmpty();
			            if(!empty($comoOrder)){
							$payNo = Db::name('pay_info')->where(['cgdNo'=>$comoOrder['sequenceNo'],'status'=>1,'is_del'=>0])->value('payNo','');
				           if($payNo!=''){
				               $uname = Pay::where('payNo',$payNo)->value('apply_name','');
				               	$data[]=['type'=>'源头采购对账单','username'=> $uname,'orderCode'=>$payNo,'companyName'=>$comoOrder['companyName']];
				               	$hp = Db::name('pay_invoice')->where(['payNo'=>$payNo,'is_del'=>0,'status'=>[1,2,3,4]])
				               	->column('hpNo,apply_name');
				               	if(!empty($hp)){
				               	foreach ($hp as $item){
				               		$data[]=['type'=>'源头采购对账单回票','username'=> $item['apply_name'],'orderCode'=>$item['hpNo'],'companyName'=>$cgdinfo['companyName']];
				               	 }
				               }
				               	$paydz = Db::name('pay_payment')->where(['payNo'=>$payNo,'is_del'=>0,'status'=>[1,2,3,4]])
				               	->column('dzNo,apply_name');
				               	if(!empty($paydz)){
				               	foreach ($paydz as $item){
				               		$data[]=['type'=>'源头采购对账单付款','username'=> $item['apply_name'],'orderCode'=>$item['dzNo'],'companyName'=>$cgdinfo['companyName']];
				               	}
				               	 }
				           }
				            }
			            
		           }
    	  
    	
    	  empty($data)?$this->success("不存在对账订单"):$this->error("存在对账业务数据",1005,$data);
    }
}