<?php


namespace app\admin\model;


use think\Model;


class ActionProcess extends Model
{

    protected $name = 'action_process';
    protected $pk = 'id';
    protected $autoWriteTimestamp = false;
    protected $hidden = ['order_type', 'order_name', 'pid', 'roleid', 'uid', 'uname', 'weight'];

    public static $action_type_start = 1;//节点类型,1开始节点
    public static $action_type_process = 2;//节点类型,2过程节点
    public static $action_type_interrupt = 3;//节点类型,3中断节点
    public static $action_type_end = 4;//节点类型,4结束节点


    public static $operation_type_approval = 1;//操作类型:1审批节点
    public static $operation_type_system = 2;//操作类型:2系统节点

    public static $status_normal = 1;//状态，1启用
    public static $status_disable = 0;//状态，0禁用

    public static $is_del_normal = 0;//是否删除，0正常
    public static $is_deleted = 1;//是否删除，1删除


}