<?php

use think\facade\Route;
Route::rule('menu', 'admin/Menu/MenuList');
Route::rule('menuadd', 'admin/Menu/MenuAdd');
Route::rule('menusave', 'admin/Menu/MenuEdit');
Route::rule("menuactionlist","admin/Action/index");
Route::rule("actionadd","admin/Action/ActionAdd");
Route::rule("actiondel","admin/Action/ActionDel");
Route::rule("actionlist","admin/Action/ActionList");
Route::rule("menudel","admin/Menu/MenuDel");
Route::rule("menuactiondel","admin/Menu/ActionDel");

Route::rule('menustatus', 'admin/Menu/MenuStatus');
Route::rule('menuaction', 'admin/Menu/ActionList');
Route::rule('menuactionsave', 'admin/Menu/ActionSave');
Route::rule('menuactionstatus', 'admin/Menu/ActionStatus');
Route::rule('menuactionadd', 'admin/Menu/ActionAdd');
Route::rule("menulist","admin/Menu/MenuAllList");


Route::rule('userlist', 'admin/User/userList');
Route::rule('usersinglelist', 'admin/User/userSingleList');
Route::rule('userall', 'admin/User/userAll');
Route::rule('userinfo', 'admin/User/userInfo');
Route::rule('usersave', 'admin/User/EditUserCompany');
Route::rule('useradd', 'admin/User/usersave');
Route::rule('setrole', 'admin/User/setRole');
Route::rule('setpwd', 'admin/User/setPwd');
Route::rule('setstatus', 'admin/User/setStatus');
Route::rule('setcompanystatus', 'admin/User/setCompanyStatus');
Route::rule('getcompany', 'admin/User/GetCompany');

Route::rule('rolelist', 'admin/Role/roleList');
Route::rule('roleall', 'admin/Role/roleAll');
Route::rule('roleinfo', 'admin/Role/roleInfo');
Route::rule('roleadd', 'admin/Role/roleAdd');
Route::rule('rolesave', 'admin/Role/roleSave');
Route::rule('rolestatus', 'admin/Role/roleStatus');
Route::rule('role_process_info', 'admin/Role/roleProcessInfo');//获取角色对应的流程权限id
Route::rule('role_process_detail', 'admin/Role/roleProcessDetail');//获取角色对应的流程权限详情
Route::rule('role_process_save', 'admin/Role/roleProcessSave');//修改角色对应的流程权限

Route::rule('grouplist', 'admin/Group/GroupList');
Route::rule('groupall', 'admin/Group/GroupAll');
Route::rule('groupinfo', 'admin/Group/GroupInfo');
Route::rule('groupadd', 'admin/Group/GroupAdd');
Route::rule('groupsave', 'admin/Group/GroupSave');
Route::rule('groupstatus', 'admin/Group/GroupStatus');

Route::rule("supplierlist","admin/Supplier/SupplierList");
Route::rule("supplierall","admin/Supplier/SupplierAll");
Route::rule("supplier_by_super","admin/Supplier/supplierListBySuper");


Route::rule("customerlist","admin/Customer/list");
Route::rule("customerinfo","admin/Customer/read");
Route::rule("customer","admin/Customer/info");
Route::rule("invoicelist","admin/Customer/invoice");
Route::rule("involist","admin/Customer/invoicelist");
Route::rule("invoiceadd","admin/Customer/invoiceAdd");
Route::rule("invoicesave","admin/Customer/invoiceSave");
Route::rule("invoicedel","admin/Customer/invoiceDel");

Route::rule("shareadd","admin/Share/create");
Route::rule("sharesave","admin/Share/save");
Route::rule("sharestatus","admin/Share/status");
Route::rule("sharedel","admin/Share/delete");
Route::rule("shareinfo","admin/Share/read");

Route::rule("companyinfo","admin/Company/Info");
Route::rule("companyadd","admin/Company/create");
Route::rule("companysave","admin/Company/save");
Route::rule("companystatus","admin/Company/status");
Route::rule("companylist","admin/Company/list");
Route::rule("companyall","admin/Company/all");
Route::rule("ratelist","admin/Company/RateList");

Route::rule("paylist","admin/Payment/payList");
Route::rule("paymentlist","admin/Payment/paymentList");
Route::rule("payadd","admin/Payment/PayAdd");
Route::rule("paysave","admin/Payment/PaySave");
Route::rule("paystatus","admin/Payment/PayStatus");
Route::rule("paydel","admin/Payment/payDel");
Route::rule("stageadd","admin/Payment/stageAdd");
Route::rule("stagestatus","admin/Payment/stageStatus");
Route::rule("stagedel","admin/Payment/stageDel");
Route::rule("cgdlist","admin/Payment/CgdList");
Route::rule("invadd","admin/Payment/invAdd");
Route::rule("invAddBatchByImport","admin/Payment/invAddBatchByImport");//批量添加发票信息
Route::rule("invstatus","admin/Payment/invStatus");
Route::rule("invlist","admin/Payment/InvList");
Route::rule("invdel","admin/Payment/invDel");
Route::rule("cgdticket","admin/Payment/ticketInfo");
Route::rule("hpbatchimport","admin/Payment/hpBatchImport");
Route::rule("cgdquery","admin/Payment/cgdQuery");

Route::rule("orderinvadd","admin/OrderInv/create");
Route::rule("orderinvstatus","admin/OrderInv/status");
Route::rule("orderinvbatch","admin/OrderInv/batchCheck");
Route::rule("orderinvinfo","admin/OrderInv/info");
Route::rule("invsetpost","admin/OrderInv/SetPost");
Route::rule("invreturnadd","admin/OrderInv/ReturnAdd");
Route::rule("invreturnstatus","admin/OrderInv/ReturnStatus");
Route::rule("invreturnred","admin/OrderInv/returnRed");
Route::rule("orderinvlist","admin/OrderInv/list");
Route::rule("invreturnlist","admin/OrderInv/returnList");
Route::rule("discard","admin/OrderInv/Discard");
Route::rule("applyred","admin/OrderInv/applyRed");
Route::rule("batchapplyred","admin/OrderInv/batchApplyRed");
Route::rule("redopen","admin/OrderInv/redOpen");
Route::rule("redlist","admin/OrderInv/redList");
Route::rule("orderticket","admin/OrderInv/ticketInfo");
Route::rule("returnredlist","admin/OrderInv/returnRedList");
Route::rule("ticketedit","admin/OrderInv/TicketEdit");
Route::rule("orderpayadd","admin/OrderPay/create");
Route::rule("orderpaystatus","admin/OrderPay/status");
Route::rule("orderpaylist","admin/OrderPay/list");
Route::rule("tradeList","admin/OrderPay/tradeList");
Route::rule("tradeQuery","admin/OrderPay/tradeQuery");
Route::rule("orderpayreturn","admin/OrderPay/ReturnPay");
Route::rule("orderreturnlist","admin/OrderPay/returnList");
Route::rule("orderreturnstatus","admin/OrderPay/returnStatus");
Route::rule("importTrade","admin/OrderPay/importTradeByArr");
Route::rule('importTradeByBatchOrderCode','admin/OrderPay/importTradeByBatchOrderCode');

Route::rule("index","admin/index/index");
Route::rule("report","admin/Report/index");
Route::rule("reportinfo","admin/Report/info");

Route::rule("orderlist","admin/Sale/list");
Route::rule("orderchage","admin/Sale/status");
Route::rule("orderischeck","admin/Sale/OrderIsCheck");
Route::rule("orderquery","admin/Sale/query");

Route::rule("uploadimg","admin/Upload/UploadImg");

Route::rule("cgdinfo","admin/Payment/cgdinfo");
Route::rule("payinfo","admin/Payment/PayInfo");
Route::rule("dzinfo","admin/Payment/DzInfo");
Route::rule("hpinfo","admin/Payment/HpInfo");
Route::rule("saleinfo","admin/Sale/saleinfo");
Route::rule("hpinvreturn","admin/Payment/hpinvReturn");
Route::rule("hpinvreturnlist","admin/Payment/hpinvReturnList");
Route::rule("hpinvreturnstatus","admin/Payment/hpinvReturnStatus");
Route::rule("hpinvreturninfo","admin/Payment/hpinvReturnInfo");
Route::rule("stagereturn","admin/Payment/stageReturn");
Route::rule("stagereturnlist","admin/Payment/stageReturnList");
Route::rule("stagereturnstatus","admin/Payment/stageReturnStatus");
Route::rule("stagereturninfo","admin/Payment/stageReturnInfo");
Route::rule("paycgdexport","admin/Payment/payCgdExport");
Route::rule("paytrackxport","admin/Payment/payTrackExport");

Route::rule("returninvinfo","admin/OrderInv/returnInfo");
Route::rule("tradeloginfo","admin/OrderPay/logInfo");
Route::rule("tradeinfo","admin/OrderPay/tradeInfo");
Route::rule("returnpayinfo","admin/OrderPay/returnInfo");

Route::rule("tagadd","admin/TagGood/create");
Route::rule("taglist","admin/TagGood/list");
Route::rule("tagquery","admin/TagGood/query");
Route::rule("tagstatus","admin/TagGood/status");
Route::rule("tagdel","admin/TagGood/delete");
Route::rule("tagedit","admin/TagGood/save");
Route::rule("addtag","admin/TagGood/AddTag");

Route::rule("goodlist","admin/InvCat/GoodList");
Route::rule("catlist","admin/InvCat/catlist");
Route::rule("catquery","admin/InvCat/query");
Route::rule("addgood","admin/InvCat/AddGood");
Route::rule("goodinfo","admin/InvCat/goodinfo");
Route::rule("addGoodBatch","admin/InvCat/addGoodBatch");//批量设置类目信息

//流程
Route::rule('process_get_list','admin/Process/getList');
Route::rule('process_add','admin/Process/add');
Route::rule('process_read','admin/Process/read');
Route::rule('process_update','admin/Process/update');
//节点
Route::rule('action_process_getlist','admin/ActionProcess/getList');
Route::rule('action_process_add','admin/ActionProcess/add');
Route::rule('action_process_read','admin/ActionProcess/read');
Route::rule('action_process_update','admin/ActionProcess/update');
Route::rule('action_process_all','admin/ActionProcess/getAll');
//用户组
route::rule('getDataGroupList', 'admin/DataGroup/getDataGroupList');//获取用户组列表
route::rule('addDataGroup', 'admin/DataGroup/addDataGroup');//添加用户组
route::rule('getDataGroupDetail', 'admin/DataGroup/getDataGroupDetail');//获取用户组详情
route::rule('editDataGroup', 'admin/DataGroup/editDataGroup');//编辑用户组详情
route::rule('deleteDataGroup', 'admin/DataGroup/deleteDataGroup');//删除用户组
route::rule('statusDataGroup', 'admin/DataGroup/statusDataGroup');//启/禁用用户组
//数据共享
route::rule('getDataShareList', 'admin/DataShare/getDataShareList');//获取数据共享列表
route::rule('addDataShare', 'admin/DataShare/addDataShare');//新建数据共享
route::rule('getDataShareDetail', 'admin/DataShare/getDataShareDetail');//获取数据共享详情
route::rule('editDataShare', 'admin/DataShare/editDataShare');//修改数据共享
route::rule('deleteDataShare', 'admin/DataShare/deleteDataShare');//删除数据共享
route::rule('statusDataShare', 'admin/DataShare/statusDataShare');//启/禁用数据共享


route::rule('login', 'admin/Login/login');//登录接口
route::rule('ticketlist', 'admin/OrderInv/tikcetList');//订单发票查询
route::rule('hpinvlist', 'admin/Payment/hpinvList');//采购单发票查询

route::rule('orderinvdown', 'admin/OrderInv/downorder');//销售单批量开票导出
route::rule('orderinvimport', 'admin/OrderInv/importInv');//销售单批量开票数据导入

route::rule('invinterfacelist', 'admin/OrderInv/InvInterfaceList');//销售单批量开票数据导入
route::rule('invinterfacecheck', 'admin/OrderInv/InvInterfaceCheck');//销售单批量开票数据导入

route::rule('systemadd', 'admin/System/create');//新建系统版本信息
route::rule('systemlist', 'admin/System/list');//系统版本信息列表
route::rule('systemedit', 'admin/System/save');//系统版本信息编辑
route::rule('systemlast', 'admin/System/GetLast');//最新系统版本信息
route::rule('getrate', 'admin/System/GetRate');//系统商品开票利率



//【导出】
Route::rule('ipe','admin/Export/invoicePoolExport');//销售发票申请信息导出
Route::rule('ile','admin/Export/invListExport');//进项发票等级导出
Route::rule('ope','admin/Export/orderPayExport');//资金认领导出
Route::rule('ole','admin/Export/orderlistExport');//回款核销明细表
Route::rule('ie','admin/Export/invExport');//回票明细表
Route::rule('ae','admin/Export/analysisExport');//经营分析报表
Route::rule('oie','admin/Export/orderInvExport');//收入成本明细表
Route::rule('sbe','admin/Export/standingBookExport');//应收台账表
Route::rule('pie','admin/Export/payInvoiceExport');//用友销票表
Route::rule('pe','admin/Export/payExport');//对账单汇总
Route::rule('cm','admin/Export/cgdManage');//采购单明细表

Route::rule('execlist','admin/Exec/list');//脚本列表
Route::rule('execstatus','admin/Exec/status');//脚本使用状态
Route::rule('execadd','admin/Exec/add');//脚本新建
Route::rule('execall','admin/Exec/query');//脚本列表全部
Route::rule('execlogadd','admin/Exec/addlog');//添加脚本执行记录
Route::rule('execloglist','admin/Exec/loglist');//脚本执行记录列表
Route::rule('execlogdel','admin/Exec/logdel');//脚本执行记录删除
Route::rule('execaction','admin/Exec/actionList');//后端已上线脚本

Route::rule('execstatlist','admin/ExecStat/list');//脚本列表
Route::rule('execstatadd','admin/ExecStat/add');//脚本新建
Route::rule('execstatall','admin/ExecStat/query');//脚本列表全部
Route::rule('execstatlogadd','admin/ExecStat/addlog');//添加脚本执行记录
Route::rule('execstatloglist','admin/ExecStat/loglist');//脚本执行记录列表
Route::rule('execstataction','admin/ExecStat/actionList');//后端已上线脚本
Route::rule('execstatactioninfo','admin/ExecStat/actioninfo');//后端已上线脚本

route::rule("interadd","admin/InterOrder/create");//网络部录单
route::rule("interedit","admin/InterOrder/save");//网络部录单
route::rule("interlist","admin/InterOrder/list");//网络部录单列表
route::rule("interinfo","admin/InterOrder/info");//网络部录单详情
route::rule("intercat","admin/InterOrder/getCat");//网络部录单分类
route::rule("interplatform","admin/InterOrder/getPlatform");//网络部录单分类

route::rule("stats","admin/Stat/stats");//网络部录单分类
route::rule("departstat","admin/Stat/depart");//网络部录单分类
route::rule("totalstat","admin/Stat/Total");//网络部录单分类
route::rule("departEveryDay","admin/Stat/departEveryDay");//网络部录单分类
route::rule("departEveryMonth","admin/Stat/departEveryMonth");//网络部录单分类
route::rule("companyEveryMonth","admin/Stat/companyEveryMonth");//网络部录单分类
route::rule("companyEvery","admin/Stat/companyEvery");//网络部录单分类
route::rule("dzqrd","admin/Stat/DzQrd");//网络部录单分类

route::rule("companytipslist","admin/DepartTips/list");//网络部录单分类
route::rule("companytipsadd","admin/DepartTips/create");//网络部录单分类
route::rule("departtipslist","admin/DepartTips/departlist");//网络部录单分类
route::rule("departtipsadd","admin/DepartTips/departcreate");//网络部录单分类

route::rule("wechat_getinfo","admin/WeChat/getinfo");//微信授权获取用户信息
route::rule("wechat_getconfig","admin/WeChat/getConfig");//微信获取页面jssdk配置
route::rule("wechat_list","admin/WeChat/list");//微信获取页面jssdk配置
route::rule("wechat_save","admin/WeChat/save");//微信获取页面jssdk配置

route::rule("goodChangeList","admin/GoodChange/list");
route::rule("goodChangeInfo","admin/GoodChange/info");


